VMware 15.5 on Linux

frogmaster
Antal: 4225
Tilmeldt:
20-05-2010
User is offline
VMware 15.5 on Linux

Bruger nogle VMware Workstation på Linux host, men ikke kan opgrade/installere til nyeste version 15.5, der PT kun er et par dage gammel, så skyldes det en fejl i installeren, der ikke tager hensyn til andet end engelsksprogede Linux.

Fejlmeddelse: bora/lib/string/str.c:284 Buffer too small

Løsning:
sudo LC_ALL=C ./VMware-Workstation-Full-15.5.0-14665864.x86_64.bundle

Det er, grundet fejlen i installeren og indtil VMware får rettet fejlen, nødvendigt at downloade 15.5 på Linux host med andet end engelsk locale, uanset en tidligere VMware Workstation version 15 er installeret i forvejen. Du skal ikke først afinstallere en tidligere version 15.

Download link: https://www.vmware.com/products/workstation-pro/wo...


OracleJMT
OracleJMT's picture
Antal: 580
Tilmeldt:
26-05-2013
User is offline
Jeg sidder og spekulerer

Jeg sidder og spekulerer på, om noget lignende kan ske på de proprietære systemer?

Da der er standardiseret program-API, bliver alle programmer vel, på Windows såvel som MacOS udviklet over samme API til hver deres respektive systemer, så ting som sprog automatisk bliver hardcoded ind i applikationen, hvorfor GNU/Linux modularitet og diversitet, har sin pris angående standardisering og unødvendig applikationskomplexitet?


frogmaster
frogmaster's picture
Antal: 4225
Tilmeldt:
20-05-2010
User is offline
Jeg sidder og spekulerer

#1: Jeg sidder og spekulerer på, om noget lignende kan ske på de proprietære systemer?
Det ser ud til, med denne version af VMware, der i sig selv er proprietær, at det ikke er sket på macOS eller Windows host. Jeg har heller ikke oplevet sprogrelaterede installeringsproblemer IHT VMware på dem, uden at sige der ikke kan være andre problemer.

PT er det problemer med Windows 10 host, hvor VM's med VMware og kun Linux guests, kan have lydproblemer. Det handler tilsyneladende kun om Linux guests. Der er et workaround, men endnu ikke en permanent fungerende løsning. Andre fortæller om problemer, der heller ikke handler om sprog, ikke kun både på Win og Mac hosts, men på VMware vSphere ESXi.